<?php

namespace Drupal\pm_carousel_tobii\Plugin\Field\FieldFormatter;

use Drupal\Core\Field\Attribute\FieldFormatter;
use Drupal\Core\StringTranslation\TranslatableMarkup;
use Drupal\lightbox_media\Plugin\Field\FieldFormatter\LightboxMediaContainerFormatterTrait;
use Drupal\pm_carousel\Plugin\Field\FieldFormatter\PmCarouselContainerFormatter;

/**
 * Plugin implementation of the 'pm_carousel_tobii_media_container' formatter.
 */
#[FieldFormatter(
  id: 'pm_carousel_tobii_media_container',
  label: new TranslatableMarkup('PM Carousel in Tobii container'),
  field_types: [
    'entity_reference',
  ],
)]
class PmCarouselTobiiMediaContainerFormatter extends PmCarouselContainerFormatter {

  use LightboxMediaContainerFormatterTrait;

}
